import sys, os

sys.path.append('/usr/lib/x86_64-linux-gnu/bornagain')

# this is needed to adapt to the changes in Python 3.8 on Windows regarding dll loading
# see https://docs.python.org/3/whatsnew/3.8.html#ctypes
if sys.version_info >= (3, 8, 0) and sys.platform == 'win32':
    if "PATH" in os.environ:
        for p in os.environ['PATH'].split(';'):
            if p and os.path.exists(p):
                os.add_dll_directory(os.path.abspath(p))

from libBornAgainBase import *
from libBornAgainFit import *
from libBornAgainParam import *
from libBornAgainSample import *
from libBornAgainResample import *
from libBornAgainDevice import *
from libBornAgainSim import *

__version__ = "21.1"
